Opened 6 months ago

Closed 5 months ago

#4500 closed defect (fixed)

ReprojectPts regression on FreeBSD 12 / Proj 6.1.0 and Proj 6.1.1

Reported by: robe Owned by: pramsey
Priority: high Milestone: PostGIS 3.0.0
Component: postgis Version: master
Keywords: Cc:

Description

00:43:45  -------------- Dependencies -------------- 
00:43:45   GEOS config:          /usr/local/bin/geos-config
00:43:45   GEOS version:         3.7.2
00:43:45   GDAL config:          /usr/local/bin/gdal-config
00:43:45   GDAL version:         2.4.1
00:43:45   SFCGAL config:        /usr/local/bin/sfcgal-config
00:43:45   SFCGAL version:       1.3.6
00:43:45   PostgreSQL config:    /usr/local/bin/pg_config
00:43:45   PostgreSQL version:   PostgreSQL 11.4
00:43:45   PROJ4 version:        61
00:43:45   Libxml2 config:       /usr/local/bin/xml2-config
00:43:45   Libxml2 version:      2.9.9
00:43:45   JSON-C support:       yes
00:43:45   protobuf support:     yes
00:43:45   protobuf-c version:   1003002
00:43:45   PCRE support:         yes
00:43:45   Perl:                 /usr/local/bin/perl
00:43:45   Wagyu:                yes
00:43:45 
00:43:45  --------------- Extensions --------------- 
00:43:45   PostGIS Raster:                     enabled
00:43:45   PostGIS Topology:                   enabled
00:43:45   SFCGAL support:                     enabled
00:43:45   Address Standardizer support:       enabled
00:43:45 
00:47:16  ../loader/ReprojectPts ..... failed (wkt testdiff expected obtained: /home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/test_20_diff)
00:47:25 -----------------------------------------------------------------------------
00:47:25 --- ../loader/ReprojectPts-w.select.expected	2019-09-03 00:42:19.557981000 +0000
00:47:25 +++ /home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/test_20_out	2019-09-03 00:46:29.149665000 +0000
00:47:25 @@ -1,66 +1,66 @@
00:47:25 -SRID=4326;POINT(-74.17782492 41.08263361)
00:47:25 -SRID=4326;POINT(-74.44881286 40.50133744)
00:47:25 +SRID=4326;POINT(-74.17782443 41.08263361)
00:47:25 +SRID=4326;POINT(-74.4488128 40.50133699)
00:47:25  SRID=4326;POINT(-74.00376358 40.28149688)
00:47:25  SRID=4326;POINT(-75.12863742 39.7797389)
00:47:25 -SRID=4326;POINT(-74.57629014 40.85597595)
00:47:25 -SRID=4326;POINT(-74.47160401 40.52369066)
00:47:25 +SRID=4326;POINT(-74.57628962 40.85597621)
00:47:25 +SRID=4326;POINT(-74.47160381 40.52369026)
00:47:25  SRID=4326;POINT(-75.46891683 39.69688334)
00:47:25  SRID=4326;POINT(-75.11458618 39.70739231)
00:47:25  SRID=4326;POINT(-74.22643701 40.09726563)
00:47:25 -SRID=4326;POINT(-74.26766926 40.83522615)
00:47:25 -SRID=4326;POINT(-74.42152037 40.76232181)
00:47:25 -SRID=4326;POINT(-74.18666598 40.89980341)
00:47:25 -SRID=4326;POINT(-74.20201874 40.94448827)
00:47:25 -SRID=4326;POINT(-74.31866663 40.6680465)
00:47:25 -SRID=4326;POINT(-74.83205963 40.84912898)
00:47:25 +SRID=4326;POINT(-74.26766872 40.8352264)
00:47:25 +SRID=4326;POINT(-74.42151978 40.76232209)
00:47:25 +SRID=4326;POINT(-74.1866655 40.89980354)
00:47:25 +SRID=4326;POINT(-74.20201825 40.94448845)
00:47:25 +SRID=4326;POINT(-74.31866643 40.66804657)
00:47:25 +SRID=4326;POINT(-74.83205905 40.84912911)
00:47:25  SRID=4326;POINT(-74.64402101 39.96633708)
00:47:25  SRID=4326;POINT(-74.22194028 40.09559148)
00:47:25 -SRID=4326;POINT(-74.60375255 40.75504208)
00:47:25 -SRID=4326;POINT(-74.09376018 40.86569336)
00:47:25 -SRID=4326;POINT(-74.4430374 40.77797967)
00:47:25 +SRID=4326;POINT(-74.60375193 40.75504234)
00:47:25 +SRID=4326;POINT(-74.09375981 40.86569326)
00:47:25 +SRID=4326;POINT(-74.44303683 40.77797995)
00:47:25  SRID=4326;POINT(-74.76841703 40.22038455)
00:47:25 -SRID=4326;POINT(-74.19078182 40.73914574)
00:47:25 -SRID=4326;POINT(-74.19628444 40.79591416)
00:47:25 -SRID=4326;POINT(-74.19130306 40.74330253)
00:47:25 -SRID=4326;POINT(-74.17636308 40.73783123)
00:47:25 +SRID=4326;POINT(-74.19078139 40.73914578)
00:47:25 +SRID=4326;POINT(-74.19628396 40.79591425)
00:47:25 +SRID=4326;POINT(-74.19130262 40.74330258)
00:47:25 +SRID=4326;POINT(-74.17636268 40.73783123)
00:47:25  SRID=4326;POINT(-74.53148731 39.49029456)
00:47:25 -SRID=4326;POINT(-74.16618054 40.73634864)
00:47:25 -SRID=4326;POINT(-74.35732607 40.80076793)
00:47:25 -SRID=4326;POINT(-74.17573811 40.73901418)
00:47:25 +SRID=4326;POINT(-74.16618015 40.7363486)
00:47:25 +SRID=4326;POINT(-74.35732552 40.80076819)
00:47:25 +SRID=4326;POINT(-74.1757377 40.73901418)
00:47:25  SRID=4326;POINT(-74.66491581 40.34572735)
00:47:25 -SRID=4326;POINT(-74.36625323 40.51061374)
00:47:25 -SRID=4326;POINT(-74.17631876 40.74329159)
00:47:25 -SRID=4326;POINT(-74.4544664 40.52427239)
00:47:25 -SRID=4326;POINT(-74.02836656 40.89756584)
00:47:25 +SRID=4326;POINT(-74.36625351 40.51061338)
00:47:25 +SRID=4326;POINT(-74.17631833 40.74329159)
00:47:25 +SRID=4326;POINT(-74.45446627 40.524272)
00:47:25 +SRID=4326;POINT(-74.02836625 40.89756567)
00:47:25  SRID=4326;POINT(-75.00833975 39.82895026)
00:47:25  SRID=4326;POINT(-74.13132221 40.33161528)
00:47:25  SRID=4326;POINT(-74.67999522 39.46203859)
00:47:25 -SRID=4326;POINT(-74.08904806 40.9515804)
00:47:25 +SRID=4326;POINT(-74.08904769 40.95158042)
00:47:25  SRID=4326;POINT(-75.12091068 39.94826917)
00:47:25 -SRID=4326;POINT(-74.08628025 40.70929009)
00:47:25 +SRID=4326;POINT(-74.08628002 40.70928983)
00:47:25  SRID=4326;POINT(-74.73270242 40.27825159)
00:47:25  SRID=4326;POINT(-74.16625303 40.01000431)
00:47:25 -SRID=4326;POINT(-75.01837982 40.74472398)
00:47:25 +SRID=4326;POINT(-75.01837916 40.74472384)
00:47:25  SRID=4326;POINT(-74.65920653 40.34951097)
00:47:25 -SRID=4326;POINT(-74.24751143 40.74434122)
00:47:25 +SRID=4326;POINT(-74.24751093 40.74434144)
00:47:25  SRID=4326;POINT(-74.65122484 40.25151634)
00:47:25  SRID=4326;POINT(-74.43880205 40.4659008)
00:47:25 -SRID=4326;POINT(-74.2355417 40.68231466)
00:47:25 -SRID=4326;POINT(-74.49892935 40.80763833)
00:47:25 -SRID=4326;POINT(-74.0625762 40.73086062)
00:47:25 +SRID=4326;POINT(-74.23554154 40.68231473)
00:47:25 +SRID=4326;POINT(-74.49892881 40.80763861)
00:47:25 +SRID=4326;POINT(-74.06257592 40.73086029)
00:47:25  SRID=4326;POINT(-75.03600164 39.78659251)
00:47:25  SRID=4326;POINT(-75.05591643 39.44084942)
00:47:25 -SRID=4326;POINT(-74.39804333 40.50086907)
00:47:25 -SRID=4326;POINT(-74.07131567 40.72720191)
00:47:25 -SRID=4326;POINT(-74.19117919 40.74196293)
00:47:25 -SRID=4326;POINT(-74.02494262 40.74676479)
00:47:25 -SRID=4326;POINT(-74.68894668 40.6094749)
00:47:25 -SRID=4326;POINT(-74.44600226 40.49825884)
00:47:25 -SRID=4326;POINT(-74.19898991 40.85779571)
00:47:25 +SRID=4326;POINT(-74.3980435 40.50086867)
00:47:25 +SRID=4326;POINT(-74.07131539 40.7272016)
00:47:25 +SRID=4326;POINT(-74.19117875 40.74196297)
00:47:25 +SRID=4326;POINT(-74.02494233 40.74676432)
00:47:25 +SRID=4326;POINT(-74.68894621 40.60947485)
00:47:25 +SRID=4326;POINT(-74.44600222 40.49825839)
00:47:25 +SRID=4326;POINT(-74.19898942 40.85779584)
00:47:25  SRID=4326;POINT(-74.7828046 40.27094999)
00:47:25  SRID=4326;POINT(-74.25017536 40.217432)
00:47:25 -SRID=4326;POINT(-74.16960551 40.91844326)
00:47:25 -SRID=4326;POINT(-74.75788852 41.06754763)
00:47:25 -SRID=4326;POINT(-74.03363729 40.72689071)
00:47:25 -SRID=4326;POINT(-74.5760699 40.53743164)
00:47:25 -SRID=4326;POINT(-74.43925667 40.77359187)
00:47:25 +SRID=4326;POINT(-74.16960505 40.91844337)
00:47:25 +SRID=4326;POINT(-74.75788819 41.06754779)
00:47:25 +SRID=4326;POINT(-74.03363704 40.7268903)
00:47:25 +SRID=4326;POINT(-74.57606955 40.53743133)
00:47:25 +SRID=4326;POINT(-74.43925609 40.77359215)
00:47:25 -----------------------------------------------------------------------------
00:47:25  ../loader/ReprojectPtsD ..... failed (wkb testdiff expected obtained: /home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/test_21_diff)
00:47:25 -----------------------------------------------------------------------------
00:47:25 --- ../loader/ReprojectPtsD.select.expected	2019-09-03 00:42:19.558718000 +0000
00:47:25 +++ /home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/test_21_out	2019-09-03 00:46:29.763057000 +0000
00:47:25 @@ -1,66 +1,66 @@
00:47:25 -SRID=4326;POINT(-74.17782492 41.08263361)
00:47:25 -SRID=4326;POINT(-74.44881286 40.50133744)
00:47:25 +SRID=4326;POINT(-74.17782443 41.08263361)
00:47:25 +SRID=4326;POINT(-74.4488128 40.50133699)
00:47:25  SRID=4326;POINT(-74.00376358 40.28149688)
00:47:25  SRID=4326;POINT(-75.12863742 39.7797389)
00:47:25 -SRID=4326;POINT(-74.57629014 40.85597595)
00:47:25 -SRID=4326;POINT(-74.47160401 40.52369066)
00:47:25 +SRID=4326;POINT(-74.57628962 40.85597621)
00:47:25 +SRID=4326;POINT(-74.47160381 40.52369026)
00:47:25  SRID=4326;POINT(-75.46891683 39.69688334)
00:47:25  SRID=4326;POINT(-75.11458618 39.70739231)
00:47:25  SRID=4326;POINT(-74.22643701 40.09726563)
00:47:25 -SRID=4326;POINT(-74.26766926 40.83522615)
00:47:25 -SRID=4326;POINT(-74.42152037 40.76232181)
00:47:25 -SRID=4326;POINT(-74.18666598 40.89980341)
00:47:25 -SRID=4326;POINT(-74.20201874 40.94448827)
00:47:25 -SRID=4326;POINT(-74.31866663 40.6680465)
00:47:25 -SRID=4326;POINT(-74.83205963 40.84912898)
00:47:25 +SRID=4326;POINT(-74.26766872 40.8352264)
00:47:25 +SRID=4326;POINT(-74.42151978 40.76232209)
00:47:25 +SRID=4326;POINT(-74.1866655 40.89980354)
00:47:25 +SRID=4326;POINT(-74.20201825 40.94448845)
00:47:25 +SRID=4326;POINT(-74.31866643 40.66804657)
00:47:25 +SRID=4326;POINT(-74.83205905 40.84912911)
00:47:25  SRID=4326;POINT(-74.64402101 39.96633708)
00:47:25  SRID=4326;POINT(-74.22194028 40.09559148)
00:47:25 -SRID=4326;POINT(-74.60375255 40.75504208)
00:47:25 -SRID=4326;POINT(-74.09376018 40.86569336)
00:47:25 -SRID=4326;POINT(-74.4430374 40.77797967)
00:47:25 +SRID=4326;POINT(-74.60375193 40.75504234)
00:47:25 +SRID=4326;POINT(-74.09375981 40.86569326)
00:47:25 +SRID=4326;POINT(-74.44303683 40.77797995)
00:47:25  SRID=4326;POINT(-74.76841703 40.22038455)
00:47:25 -SRID=4326;POINT(-74.19078182 40.73914574)
00:47:25 -SRID=4326;POINT(-74.19628444 40.79591416)
00:47:25 -SRID=4326;POINT(-74.19130306 40.74330253)
00:47:25 -SRID=4326;POINT(-74.17636308 40.73783123)
00:47:25 +SRID=4326;POINT(-74.19078139 40.73914578)
00:47:25 +SRID=4326;POINT(-74.19628396 40.79591425)
00:47:25 +SRID=4326;POINT(-74.19130262 40.74330258)
00:47:25 +SRID=4326;POINT(-74.17636268 40.73783123)
00:47:25  SRID=4326;POINT(-74.53148731 39.49029456)
00:47:25 -SRID=4326;POINT(-74.16618054 40.73634864)
00:47:25 -SRID=4326;POINT(-74.35732607 40.80076793)
00:47:25 -SRID=4326;POINT(-74.17573811 40.73901418)
00:47:25 +SRID=4326;POINT(-74.16618015 40.7363486)
00:47:25 +SRID=4326;POINT(-74.35732552 40.80076819)
00:47:25 +SRID=4326;POINT(-74.1757377 40.73901418)
00:47:25  SRID=4326;POINT(-74.66491581 40.34572735)
00:47:25 -SRID=4326;POINT(-74.36625323 40.51061374)
00:47:25 -SRID=4326;POINT(-74.17631876 40.74329159)
00:47:25 -SRID=4326;POINT(-74.4544664 40.52427239)
00:47:25 -SRID=4326;POINT(-74.02836656 40.89756584)
00:47:25 +SRID=4326;POINT(-74.36625351 40.51061338)
00:47:25 +SRID=4326;POINT(-74.17631833 40.74329159)
00:47:25 +SRID=4326;POINT(-74.45446627 40.524272)
00:47:25 +SRID=4326;POINT(-74.02836625 40.89756567)
00:47:25  SRID=4326;POINT(-75.00833975 39.82895026)
00:47:25  SRID=4326;POINT(-74.13132221 40.33161528)
00:47:25  SRID=4326;POINT(-74.67999522 39.46203859)
00:47:25 -SRID=4326;POINT(-74.08904806 40.9515804)
00:47:25 +SRID=4326;POINT(-74.08904769 40.95158042)
00:47:25  SRID=4326;POINT(-75.12091068 39.94826917)
00:47:25 -SRID=4326;POINT(-74.08628025 40.70929009)
00:47:25 +SRID=4326;POINT(-74.08628002 40.70928983)
00:47:25  SRID=4326;POINT(-74.73270242 40.27825159)
00:47:25  SRID=4326;POINT(-74.16625303 40.01000431)
00:47:25 -SRID=4326;POINT(-75.01837982 40.74472398)
00:47:25 +SRID=4326;POINT(-75.01837916 40.74472384)
00:47:25  SRID=4326;POINT(-74.65920653 40.34951097)
00:47:25 -SRID=4326;POINT(-74.24751143 40.74434122)
00:47:25 +SRID=4326;POINT(-74.24751093 40.74434144)
00:47:25  SRID=4326;POINT(-74.65122484 40.25151634)
00:47:25  SRID=4326;POINT(-74.43880205 40.4659008)
00:47:25 -SRID=4326;POINT(-74.2355417 40.68231466)
00:47:25 -SRID=4326;POINT(-74.49892935 40.80763833)
00:47:25 -SRID=4326;POINT(-74.0625762 40.73086062)
00:47:25 +SRID=4326;POINT(-74.23554154 40.68231473)
00:47:25 +SRID=4326;POINT(-74.49892881 40.80763861)
00:47:25 +SRID=4326;POINT(-74.06257592 40.73086029)
00:47:25  SRID=4326;POINT(-75.03600164 39.78659251)
00:47:25  SRID=4326;POINT(-75.05591643 39.44084942)
00:47:25 -SRID=4326;POINT(-74.39804333 40.50086907)
00:47:25 -SRID=4326;POINT(-74.07131567 40.72720191)
00:47:25 -SRID=4326;POINT(-74.19117919 40.74196293)
00:47:25 -SRID=4326;POINT(-74.02494262 40.74676479)
00:47:25 -SRID=4326;POINT(-74.68894668 40.6094749)
00:47:25 -SRID=4326;POINT(-74.44600226 40.49825884)
00:47:25 -SRID=4326;POINT(-74.19898991 40.85779571)
00:47:25 +SRID=4326;POINT(-74.3980435 40.50086867)
00:47:25 +SRID=4326;POINT(-74.07131539 40.7272016)
00:47:25 +SRID=4326;POINT(-74.19117875 40.74196297)
00:47:25 +SRID=4326;POINT(-74.02494233 40.74676432)
00:47:25 +SRID=4326;POINT(-74.68894621 40.60947485)
00:47:25 +SRID=4326;POINT(-74.44600222 40.49825839)
00:47:25 +SRID=4326;POINT(-74.19898942 40.85779584)
00:47:25  SRID=4326;POINT(-74.7828046 40.27094999)
00:47:25  SRID=4326;POINT(-74.25017536 40.217432)
00:47:25 -SRID=4326;POINT(-74.16960551 40.91844326)
00:47:25 -SRID=4326;POINT(-74.75788852 41.06754763)
00:47:25 -SRID=4326;POINT(-74.03363729 40.72689071)
00:47:25 -SRID=4326;POINT(-74.5760699 40.53743164)
00:47:25 -SRID=4326;POINT(-74.43925667 40.77359187)
00:47:25 +SRID=4326;POINT(-74.16960505 40.91844337)
00:47:25 +SRID=4326;POINT(-74.75788819 41.06754779)
00:47:25 +SRID=4326;POINT(-74.03363704 40.7268903)
00:47:25 +SRID=4326;POINT(-74.57606955 40.53743133)
00:47:25 +SRID=4326;POINT(-74.43925609 40.77359215)
00:47:25 -----------------------------------------------------------------------------
00:47:25  ../loader/ReprojectPtsGeog .... failed ( wkt test: running shp2pgsql output: /home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/loader.err)
00:47:26 -----------------------------------------------------------------------------
00:47:26 SET
00:47:26 SET
00:47:26 BEGIN
00:47:26 psql:/home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/loader.out:5: ERROR:  relation "loadedshp" already exists
00:47:26 -----------------------------------------------------------------------------
00:47:26  ../loader/ReprojectPtsGeogD .... failed ( wkt test: running shp2pgsql output: /home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/loader.err)
00:47:26 -----------------------------------------------------------------------------
00:47:26 SET
00:47:26 SET
00:47:26 BEGIN
00:47:26 psql:/home/jenkins/tmp/pgis_reg_ce7c214c9f8cafa55857173c0af789e440e7d651/loader.out:5: ERROR:  relation "loadedshp" already exists
00:47:26 -----------------------------------------------------------------------------

Change History (13)

comment:1 Changed 6 months ago by pramsey

Version switch the test based on Proj version? These seem to be very small differences, unless we can find a way to upstream this as a "problem" we should just accept the answers proj gives us.

comment:2 Changed 5 months ago by pramsey

I just tried this with 6.2 on OSX and didn't have any troubles. Hum, hum. This speaks probably to some problem with the 6.2 FreeBSD install, I wonder if it's having issues finding its database or something.

comment:3 Changed 5 months ago by pramsey

Did you build this proj yourself or get it from pkg?

comment:4 Changed 5 months ago by pramsey

It is possible this is endemic to FreeBSD, cannot build proj test target on FreeBSD https://github.com/OSGeo/PROJ/issues/1644

comment:5 Changed 5 months ago by robe

I'll try to upgrade bessie and bessie32. They are a bit sick though since I think the disk I have VMS on is failing (very slow now at anyrate). Planning to replace the disk sometimes this weekend or next.

comment:6 Changed 5 months ago by robe

Just a side note, this is not an issue on her 2.5 run.

See 2.5 run:

00:07:24 PostgreSQL 11.4 on amd64-portbld-freebsd12.0, compiled by FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1), 64-bit
00:07:24   Postgis 2.5.4dev - r17826 - 2019-09-27 23:32:22
00:07:24   scripts 2.5.4dev r17826
00:07:24   GEOS: 3.7.2-CAPI-1.11.2 b55d2125
00:07:24   PROJ: Rel. 6.1.0, May 15th, 2019
00:07:24   SFCGAL: 1.3.6
00:07:24 
00:07:24 Running tests
00:07:24 
00:07:24  loader/Point .............. ok 
00:07:28  loader/PointM .............. ok 
00:07:31  loader/PointZ .............. ok 
00:07:40  loader/MultiPoint .............. ok 
00:07:43  loader/MultiPointM .............. ok 
00:07:50  loader/MultiPointZ .............. ok 
00:07:53  loader/Arc .............. ok 
00:07:58  loader/ArcM .............. ok 
00:08:01  loader/ArcZ .............. ok 
00:08:04  loader/Polygon .............. ok 
00:08:08  loader/PolygonM .............. ok 
00:08:11  loader/PolygonZ .............. ok 
00:08:15  loader/TSTPolygon ......... ok 
00:08:16  loader/TSIPolygon ......... ok 
00:08:18  loader/TSTIPolygon ......... ok 
00:08:20  loader/PointWithSchema ..... ok 
00:08:21  loader/NoTransPoint ......... ok 
00:08:23  loader/NotReallyMultiPoint ......... ok 
00:08:25  loader/MultiToSinglePoint ......... ok 
00:08:28  loader/ReprojectPts ........ ok 
00:08:30  loader/ReprojectPtsGeog ........ ok 
00:08:32  loader/Latin1 .... ok 
00:08:32  loader/Latin1-implicit .... ok 
00:08:33  loader/mfile .... ok 
00:08:33  dumper/literalsrid ....... ok 
00:08:34  dumper/realtable ....... ok 
00:08:36  affine .. ok 
00:08:37  bestsrid .. ok 
00:08:37  binary .. ok 
00:08:38  boundary .. ok 
00:08:38  chaikin .. ok 
00:08:38  filterm .. ok 
00:08:39  cluster .. ok 
00:08:39  concave_hull .. ok 
00:08:41  concave_hull_hard .. ok 
00:13:26  ctors .. ok 
00:13:27  curvetoline .. ok 
00:13:27  dump .. ok 
00:13:27  dumppoints .. ok 
00:13:27  empty .. ok 
00:13:27  estimatedextent .. ok 
00:13:27  forcecurve .. ok 
00:13:28  geography .. ok 
00:13:28  geometric_median .. ok 
00:13:28  in_geohash .. ok 
00:13:28  in_gml .. ok 
00:13:29  in_kml .. ok 
00:13:29  in_encodedpolyline .. ok 
00:13:29  iscollection .. ok 
00:13:29  legacy .. ok 
00:13:36  long_xact .. ok 
00:13:36  lwgeom_regress .. ok 
00:13:36  measures .. ok 
00:13:36  minimum_bounding_circle .. ok 
00:13:36  normalize .. ok 
00:13:37  operators .. ok 
00:13:37  orientation .. ok 
00:13:37  out_geometry .. ok 
00:13:37  out_geography .. ok 
00:13:37  polygonize .. ok 
00:13:37  polyhedralsurface .. ok 
00:13:38  postgis_type_name .. ok 
00:13:38  quantize_coordinates .. ok 
00:13:38  regress .. ok 
00:13:39  regress_bdpoly .. ok 
00:13:39  regress_gist_index_nd .. ok 
00:13:46  regress_index .. ok 
00:13:54  regress_index_nulls .. ok 
00:13:55  regress_management .. ok 
00:13:55  regress_selectivity .. ok 
00:13:55  regress_lrs .. ok 
00:13:56  regress_ogc .. ok 
00:13:56  regress_ogc_cover .. ok 
00:13:56  regress_ogc_prep .. ok 
00:13:56  regress_proj .. ok 
00:13:56  relate .. ok 
00:13:57  remove_repeated_points .. ok 
00:13:57  removepoint .. ok 
00:13:58  reverse .. ok 
00:13:58  setpoint .. ok 
00:13:58  simplify .. ok 
00:13:58  simplifyvw .. ok 
00:13:59  size .. ok 
00:13:59  snaptogrid .. ok 
00:13:59  split .. ok 
00:13:59  sql-mm-serialize .. ok 
00:14:01  sql-mm-circularstring .. ok 
00:14:04  sql-mm-compoundcurve .. ok 
00:14:09  sql-mm-curvepoly .. ok 
00:14:09  sql-mm-general .. ok 
00:14:09  sql-mm-multicurve .. ok 
00:14:09  sql-mm-multisurface .. ok 
00:14:10  swapordinates .. ok 
00:14:10  summary .. ok 
00:14:10  temporal .. ok 
00:14:11  tickets .. ok 
00:14:16  twkb .. ok 
00:14:17  typmod .. ok 
00:15:06  wkb .. ok 
00:15:06  wkt .. ok 
00:15:06  wmsservers .. ok 
00:15:10  knn_recheck .. ok 
00:15:22  temporal_knn .. ok 
00:15:22  hausdorff .. ok 
00:15:22  regress_buffer_params .. ok 
00:15:22  frechet .. ok 
00:15:22  offsetcurve .. ok 
00:15:23  relatematch .. ok 
00:15:23  isvaliddetail .. ok 
00:15:23  sharedpaths .. ok 
00:15:23  snap .. ok 
00:15:23  node .. ok 
00:15:23  unaryunion .. ok 
00:15:24  clean .. ok 
00:15:25  relate_bnr .. ok 
00:15:26  delaunaytriangles .. ok 
00:15:28  clipbybox2d .. ok 
00:15:29  subdivide .. ok 
00:17:38  voronoi .. ok 
00:17:38  minimum_clearance .. ok 
00:17:38  oriented_envelope .. ok 
00:17:38  regress_brin_index .. ok 
00:17:42  regress_brin_index_3d .. ok 
00:17:44  regress_brin_index_geography .. ok 
00:17:44  regress_spgist_index_2d .. ok 
00:17:47  regress_spgist_index_3d .. ok 
00:17:51  mvt .. ok 
00:18:16  mvt_jsonb .. ok 
00:18:16  regress_sfcgal .. ok 
00:18:16  sfcgal/empty .. ok 
00:18:16  sfcgal/geography .. ok 
00:18:18  sfcgal/legacy .. ok 
00:18:19  sfcgal/measures .. ok 
00:18:19  sfcgal/regress_ogc_prep .. ok 
00:18:19  sfcgal/regress_ogc .. ok 
00:18:19  sfcgal/regress .. ok 
00:18:19  sfcgal/tickets .. ok 
00:18:20  sfcgal/concave_hull .. ok 
00:18:27  sfcgal/wmsservers .. ok 
00:18:36  sfcgal/approximatemedialaxis .. ok 
00:18:36  uninstall .  /usr/home/jenkins/workspace/PostGIS_Worker_Run/label/bessie/f9cb01927fcc766886b938a5ab079811bf453a07/regress/00-regress-install/share/contrib/postgis/uninstall_sfcgal.sql
00:18:36   /usr/home/jenkins/workspace/PostGIS_Worker_Run/label/bessie/f9cb01927fcc766886b938a5ab079811bf453a07/regress/00-regress-install/share/contrib/postgis/uninstall_postgis.sql
00:18:37 . ok (4745)
00:18:38 
00:18:38 Run tests: 141
00:18:38 Failed: 0
00:18:38 gmake[2]: Leaving directory '/usr/home/jenkins/workspace/PostGIS_Worker_Run/label/bessie/f9cb01927fcc766886b938a5ab079811bf453a07/regress'
00:18:38 ---- Making check in raster
00:18:38 gmake[2]: Entering directory '/usr/home/jenkins/workspace/PostGIS_Worker_Run/label/bessie/f9cb01927fcc766886b938a5ab079811bf453a07/raster'
00:18:38 /usr/local/bin/gmake -C test check
00:18:38 gmake[3]: Entering directory '/usr/home/jenkins/workspace/PostGIS_Worker_Run/label/bessie/f9cb01927fcc766886b938a5ab079811bf453a07/raster/test'
00:18:38 /usr/local/bin/gmake -C cunit check
00:18:38 gmake[4]: Entering directory '/usr/home/jenkins/workspace/PostGIS_Worker_Run/label/bessie/f9cb01927fcc766886b938a5ab079811bf453a07/raster/test/cunit'
00:18:38 

Did we change 3.0 that much?

but that's the last run. Anyway I'll go ahead and upgrade her proj

comment:7 Changed 5 months ago by robe

No clue how to get proj-6.1.1

pkg update
pkg upgrade

doesn't give me anything newer than proj 6.1.0

comment:8 Changed 5 months ago by robe

I decided to go with ports packaging and pulling gdal now as we speak from that.

So I have proj-6.1.1 now using portsnap

portsnap fetch
portsnap extract
portnsap update
cd /usr/ports/graphics/proj
pkg uninstall proj #prompted me to uninstall gdal/libtiff since they depended on the proj 6.1.0
make install 
cd /usr/ports/graphics/gdal
make install #gave me a dialog of options in gdal to install (but this gdal is 2.4.something (as the old one was)

It's still compiling. Hopefully that will fix the issue

comment:9 Changed 5 months ago by robe

Priority: blockerhigh
Version: 2.5.xtrunk

changed this from blocker to high as its only FreeBSD at this point and probably a packaging issue.

comment:10 Changed 5 months ago by robe

Some added info -- now that I have bessie32 at least regressing again, she has the same issue with proj.

If I go thru the whole ports exercise again I'm going to maybe try the FORCE install approach instead of opting to remove GDAL/libgeotiff and install that from ports. Installing GDAL via ports is extremely painful -- all these prompts I got to answer for all the dependency libraries as it downloads and compiles each of those. It finally got to the step of compiling GDAL.

comment:11 Changed 5 months ago by robe

Summary: ReprojectPts regression on FreeBSD 12 / Proj 6.1.0ReprojectPts regression on FreeBSD 12 / Proj 6.1.0 and Proj 6.1.1

Bah all that work and still the same issue:

PostgreSQL 11.4 on amd64-portbld-freebsd12.0, compiled by FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1), 64-bit
  Postgis 3.0.0alpha5dev - r17827 - 2019-09-28 19:13:43
  scripts 3.0.0alpha5dev r17827
  GEOS: 3.7.2-CAPI-1.11.2 b55d2125
  PROJ: 6.1.1

Running tests

 ../loader/Point .............. ok
 ../loader/PointM .............. ok
 ../loader/PointZ .............. ok
 ../loader/MultiPoint .............. ok
 ../loader/MultiPointM .............. ok
 ../loader/MultiPointZ .............. ok
 ../loader/Arc .............. ok
 ../loader/ArcM .............. ok
 ../loader/ArcZ .............. ok
 ../loader/Polygon .............. ok
 ../loader/PolygonM .............. ok
 ../loader/PolygonZ .............. ok
 ../loader/TSTPolygon ......... ok
 ../loader/TSIPolygon ......... ok
 ../loader/TSTIPolygon ......... ok
 ../loader/PointWithSchema ..... ok
 ../loader/NoTransPoint ......... ok
 ../loader/NotReallyMultiPoint ......... ok
 ../loader/MultiToSinglePoint ......... ok
 ../loader/ReprojectPts ..... failed (wkt testdiff expected obtained: /home/jenkins/tmp/pgis_reg_/test_20_diff)
-----------------------------------------------------------------------------
--- ../loader/ReprojectPts-w.select.expected    2019-09-28 10:42:46.255801000 +0000
+++ /home/jenkins/tmp/pgis_reg_/test_20_out     2019-09-28 19:16:48.016016000 +0000
@@ -1,66 +1,66 @@
-SRID=4326;POINT(-74.17782492 41.08263361)
-SRID=4326;POINT(-74.44881286 40.50133744)
+SRID=4326;POINT(-74.17782443 41.08263361)
+SRID=4326;POINT(-74.4488128 40.50133699)
 SRID=4326;POINT(-74.00376358 40.28149688)
 SRID=4326;POINT(-75.12863742 39.7797389)
-SRID=4326;POINT(-74.57629014 40.85597595)
-SRID=4326;POINT(-74.47160401 40.52369066)
+SRID=4326;POINT(-74.57628962 40.85597621)
+SRID=4326;POINT(-74.47160381 40.52369026)
 SRID=4326;POINT(-75.46891683 39.69688334)
 SRID=4326;POINT(-75.11458618 39.70739231)
 SRID=4326;POINT(-74.22643701 40.09726563)
-SRID=4326;POINT(-74.26766926 40.83522615)
-SRID=4326;POINT(-74.42152037 40.76232181)
-SRID=4326;POINT(-74.18666598 40.89980341)
-SRID=4326;POINT(-74.20201874 40.94448827)
-SRID=4326;POINT(-74.31866663 40.6680465)
-SRID=4326;POINT(-74.83205963 40.84912898)
+SRID=4326;POINT(-74.26766872 40.8352264)
+SRID=4326;POINT(-74.42151978 40.76232209)
+SRID=4326;POINT(-74.1866655 40.89980354)
+SRID=4326;POINT(-74.20201825 40.94448845)
+SRID=4326;POINT(-74.31866643 40.66804657)
+SRID=4326;POINT(-74.83205905 40.84912911)
 SRID=4326;POINT(-74.64402101 39.96633708)
 SRID=4326;POINT(-74.22194028 40.09559148)
-SRID=4326;POINT(-74.60375255 40.75504208)
-SRID=4326;POINT(-74.09376018 40.86569336)
-SRID=4326;POINT(-74.4430374 40.77797967)
+SRID=4326;POINT(-74.60375193 40.75504234)
+SRID=4326;POINT(-74.09375981 40.86569326)
+SRID=4326;POINT(-74.44303683 40.77797995)
 SRID=4326;POINT(-74.76841703 40.22038455)
-SRID=4326;POINT(-74.19078182 40.73914574)
-SRID=4326;POINT(-74.19628444 40.79591416)
-SRID=4326;POINT(-74.19130306 40.74330253)
-SRID=4326;POINT(-74.17636308 40.73783123)
+SRID=4326;POINT(-74.19078139 40.73914578)
+SRID=4326;POINT(-74.19628396 40.79591425)
+SRID=4326;POINT(-74.19130262 40.74330258)
+SRID=4326;POINT(-74.17636268 40.73783123)
 SRID=4326;POINT(-74.53148731 39.49029456)
-SRID=4326;POINT(-74.16618054 40.73634864)
-SRID=4326;POINT(-74.35732607 40.80076793)
-SRID=4326;POINT(-74.17573811 40.73901418)
+SRID=4326;POINT(-74.16618015 40.7363486)
+SRID=4326;POINT(-74.35732552 40.80076819)
+SRID=4326;POINT(-74.1757377 40.73901418)
 SRID=4326;POINT(-74.66491581 40.34572735)
-SRID=4326;POINT(-74.36625323 40.51061374)
-SRID=4326;POINT(-74.17631876 40.74329159)
-SRID=4326;POINT(-74.4544664 40.52427239)
-SRID=4326;POINT(-74.02836656 40.89756584)
+SRID=4326;POINT(-74.36625351 40.51061338)
+SRID=4326;POINT(-74.17631833 40.74329159)
+SRID=4326;POINT(-74.45446627 40.524272)
+SRID=4326;POINT(-74.02836625 40.89756567)
 SRID=4326;POINT(-75.00833975 39.82895026)
 SRID=4326;POINT(-74.13132221 40.33161528)
 SRID=4326;POINT(-74.67999522 39.46203859)
-SRID=4326;POINT(-74.08904806 40.9515804)
+SRID=4326;POINT(-74.08904769 40.95158042)
 SRID=4326;POINT(-75.12091068 39.94826917)
-SRID=4326;POINT(-74.08628025 40.70929009)
+SRID=4326;POINT(-74.08628002 40.70928983)
 SRID=4326;POINT(-74.73270242 40.27825159)

Did we change this test between 2.5 and 3.0? I know I added ReprojectPtsD, but I don't recall touching the original tests.

comment:12 Changed 5 months ago by pramsey

In 17839:

Avoid datum/grid shifts in reproject test, to lower
sensitivity to variance in proj installations wrt
whether or not grid shift files are installed.
References #4500

comment:13 Changed 5 months ago by pramsey

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.